// A 3 layer logistic network can approximate any smooth 
// function to arbitrary accuracy
// for figure F_gauss_prob_dens_3d.fig


// load XFig driver
driver('Fig')
current_driver=driver()

// constants
e=2.7182818;

c=1;
t=-10:1:10;

// actual plot
xinit('my-figure.fig')
// Sigmoidal function
// upper-left subwindow
xsetech([0,0,0.5,0.5]);

// use gray shadings, have to be inserted here
xset("use color",0)

// define function
deff('[p]=surf(x1,x2)','p=1/(1+e^(-c*x1 - c*x2))');

// angles 200,88 for first view
fplot3d1(t,t,surf,160,88,"x1@x2@p",[2,1,4],[-10,10,-10,10,0,1]);

//2 sigmoidal functions adding together, they are displaced relatively
// upper-right subwindow
xsetech([0.5,0,0.5,0.5]);

// define function
deff('[q]=surf2(x1,x2)','q=  1/(1+e^(-c*x1 - c*x2 - 5)) ...
                           - 1/(1+e^(-c*x1 - c*x2 + 5))');

// angles 200,88 for second view
fplot3d1(t,t,surf2,100,89,"x1@x2@q",[2,1,4],[-10,10,-10,10,0,1]);

// 4 sigmoidal functions: 2 pairs displaced
// one pair is rotated by 90 degrees relatively to the other 
// lower-left subwindow
xsetech([0,0.5,0.5,0.5]);

// define function
deff('[r]=surf3(x1,x2)','r=  0.5/(1+e^(-c*x1 - c*x2 - 5)) ...
                           - 0.5/(1+e^(-c*x1 - c*x2 + 5)) ...
                           + 0.5/(1+e^(-c*x1 + c*x2 - 5)) ...
                           - 0.5/(1+e^(-c*x1 + c*x2 + 5))');

// angles 200,88 for third view
fplot3d1(t,t,surf3,100,89,"x1@x2@r",[2,1,4],[-10,10,-10,10,0,1]);

// Final result after passing trough another sigmoidal function.
// lower-right subwindow
xsetech([0.5,0.5,0.5,0.5]);

// define function
deff('[s]=surf4(x1,x2)','s= 1/(1+e^(7*(- 1/(1+e^(-c*x1 - c*x2 - 5)) ...
                                       + 1/(1+e^(-c*x1 - c*x2 + 5)) ...
                                       - 1/(1+e^(-c*x1 + c*x2 - 5)) ...
                                       + 1/(1+e^(-c*x1 + c*x2 + 5)) + 1.6)))');

// angles 200,88 for fourth view
fplot3d1(t,t,surf4,100,89,"x1@x2@s",[2,1,4],[-10,10,-10,10,0,1]);

xend();
