.TH ANN ann_FF_INT "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_INT - internal implementation of feedforward nets.
.SH DESCRIPTION
This man page describes the internals of implementation,
it is of interest only to those wanting to modify/adapt the
functions provided (in case they do not fit the need :-)
.SH INTERNAL VARIABLES (in alphabetical order)
The variables described here are used internally only in the functions
body. They are:
.TP
err_dz
the partial derivative of error with respect to neuronal outputs,
on current layer.
.TP
err_dz_deriv_af
the element-wise product between err_dz and deriv_af.
.TP
deriv_af
the derivative of activation function for current layer.
.TP
grad_E
gradient of error, same hypermatrix structure as W.
E.g. grad_E(n,i,l) destined to hold the partial derivative of error
with respect to W(n,i,l).
.TP
grad_E_mod
similar to grad_E but it is not the real grad_E because is modified in
some significant way.
.TP
l, ll
current layer number (different from l(1), l(2))
(if l=[l(1),l(2)] is used as parameter then ll is used as layer counter)
.TP
L
total number of layers, including input.
.TP
p
current pattern number.
.TP
P
total number of patterns.
.TP
y
holds the network output(s), one per column.
.TP
z
matrix of neuronal outputs, one column for each layer, e.g.
.RS
.TP
z(1:N(1),1)
contains the inputs
.TP
z(1:N(2),2)
contains the outputs of first hidden layer
.TP
z(1:N(L),L)
contains the output
.RE
.SH BIAS
Bias is simulated trough an additional neuron with constant output "1".
The "bias neuron" is present on all layers, except output, as the first
neuron.
.SH SEE ALSO
.TP
ANN_GEN
general description of support function
.TP
ANN_FF
general description of supported feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
.SH COPYING
Copyright (C) Ryurick M. Hristev.

The ANN Toolkit is licensed under GNU Public Licence version 2.
