.TH ann_d_sum_of_sqr ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_d_sum_of_sqr - derivative of sum-of-squares error
.SH CALLING SEQUENCE
err_d = ann_d_sum_of_sqr(y,t)
.SH PARAMETERS
.TP
err_d
Matrix containing the sum-of-squares error derivative, one per column,
each column have a correspondent in y and t.
.TP
y
Matrix containing the actual network outputs, one per column,
each column have a correspondent in t and err_d.
.TP
t
Matrix containing the targets, one per column,
each column have a correspondent in y and err_d.
.SH DESCRIPTION
This function calculates the derivative of sum-of-squares error given
y and t.  Any other, user defined, error function should have the same
input and output format for variables.
.LP
Note: this function is extremly simple, it just calculates y-t. The
only reason to provide it is to allow the option to change the default error
function if so is desired.
.SH SEE ALSO
.TP
ANN
general overview of ANN toolkit.
.TP
ANN_FF
general overview of supported feedforward nets and algorithms.
.SH AUTHOR
Ryurick M. Hristev
<r.hristev@phys.canterbury.ac.nz>
