// Scilab 2.4 script
// Reset vector function in ART2
//
//        sqrt((1+c)^2 + 2*(1+c)*x*cos(alpha) + x^2)
// r(x) = ------------------------------------------
//        1 + sqrt(c^2 + 2*c*x*cos(alpha) + x^2)
//
// where x = c d ||w_{(1)k}|| and
// alpha is the angle between \vec{u} and \vec{w_{(1)k}}
// for figure ART2_r_func.fig

// load XFig driver
driver('Fig')
current_driver=driver()

// function definition
deff('[y]=r(x)','y=sqrt((1+c)^2 + 2*(1+c)*x*cos(alpha) + x^2)/ ...
                   (1 + sqrt(c^2 + 2*c*x*cos(alpha) + x^2))');

// pi constant
pi=3.1415927;
// initial angle
alpha=pi/2;
// some c value
c=0.2;


// actual plot
xinit('ART2_r_func.fig');

// draw also the axes and bounding box
xbasc();

// first figure upper-left
xsetech([0,0,0.5,0.5]);

fplot2d(0:0.1:5,r,[1],'011'," ",[0,0.7,5,1],[5,5,5,3]);

// draw just the additional curves 
// for variable angle : alpha
for i = 1:1:9;
  alpha = alpha - pi/20;
  fplot2d(0:0.1:5,r,[1],'000');
end;


// second figure upper-right
xsetech([0.5,0,0.5,0.5]);

alpha = pi/2 - pi/20;
fplot2d(0:0.1:5,r,[1],'011'," ",[0,0.7,5,1],[5,5,5,3]);

// draw just the additional curves 
// for variable angle : alpha
for i = 1:1:9;
  c = c + 0.2;
  fplot2d(0:0.1:5,r,[1],'000');
end;
xend()
