// Neuron output in input layer of an counterpropagation network 
// first function during input application
// f1(t)=1-exp(-t)               for t in [0,t1)
// second function avter removal of input
// f2(t)=[1-exp(-t1)]exp(t1-t)   for t > t1
// for F_CPN_in_output.fig

// load XFig driver
driver('Fig')
current_driver=driver()

// t1 value
t1=4;

// first function definition
deff('[y]=f1(t)','y=1-exp(-t)');

// to avoid recalculation of this value at each step
maxf1=1-exp(-t1);

// second function definition
deff('[y]=f2(t)','y=maxf1*exp(t1-t)');

// actual plot
xinit('F_CPN_in_output.fig');

// x coordonate range for first function
xrange1=0:0.1:t1;
// draw also the axes and bounding box
fplot2d(xrange1,f1,[1],'011'," ",[0,0,10,1]);

// x coordonate range for second function
xrange2=t1:0.1:10;
// draw just the second function 
fplot2d(xrange2,f2,[1],'000');

xend();
