// Gauss probability density function for 2 variables
// for figure F_gauss_prob_dens_3d.fig

// load XFig driver
driver('Fig')
current_driver=driver()

// define function
deff('[p]=surf(x1,x2)','p=(1/(2*sqrt(2)*%pi))*%e^(-(1/2)*(x1^2 + x2^2/2))');

// actual plot
xinit('my-figure.fig')

// plotting parameters
t1=-5:0.5:5;
t2=-5:0.1:5.1;

// upper-left subwindow
xsetech([0,0,0.5,0.5]);

// use gray shadings
xset("use color",0);

// light blue color for grid in XFig
xset("pattern",12)

// angles 240,89 for first view
fplot3d1(t1,t1,surf,230,89.8,"x1@x2@p",[2,1,4],[-5,5,-5,5,0,0.12]);

// upper-right subwindow
xsetech([0.5,0,0.5,0.5]);

// level courves for levels 0.001,0.02,0.04,0.06,0.08,0.1
z=feval(t2,t2,surf);
contour(t2,t2,z,[0.001,0.02,0.04,0.06,0.08,0.1]);
xend()
